ErrorException
ErrorException::getSeverity
ErrorException
PHP Manual

# ErrorException::__construct

(PHP 5 >= 5.1.0)

ErrorException::__construct — Constructs the exception

### Description

public ErrorException::__construct ([ string `$message` = "" [, int `$code` = 0 [, int `$severity` = 1 [, string `$filename` = __FILE__ [, int `$lineno` = __LINE__ [, Exception `$previous` = `NULL` ]]]]]] )

Constructs the Exception.

### Parameters

`message`

  The Exception message to throw.

`code`

  The Exception code.

`severity`

  The severity level of the exception.

`filename`

  The filename where the exception is thrown.

`lineno`

  The line number where the exception is thrown.

`previous`

  The previous exception used for the exception chaining.

### Changelog

Version | Description
--- | ---
5.3.0 | The `previous` parameter was added.

ErrorException
ErrorException::getSeverity
ErrorException
PHP Manual